## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryAbstractCellEditor

    java.lang.Object
      org.apache.log4j.lf5.viewer.categoryexplorer.CategoryAbstractCellEditor

All Implemented Interfaces:
  javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor

Direct Known Subclasses:
  CategoryNodeEditor

    public class CategoryAbstractCellEditor

extends java.lang.Object
implements javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor

CategoryAbstractCellEditor. Base class to handle the some common details of cell editing.

Author:
  Michael J. Sikorsky, Robert Shaw

Field Summary
`protected javax.swing.event.ChangeEvent` `_changeEvent`
`protected int` `_clickCountToStart`
`protected javax.swing.event.EventListenerList` `_listenerList`
`protected java.lang.Object` `_value`

Constructor Summary
`CategoryAbstractCellEditor()`

Method Summary
`void` `addCellEditorListener(javax.swing.event.CellEditorListener l)`
`void` `cancelCellEditing()`
`protected void` `fireEditingCanceled()`
`protected void` `fireEditingStopped()`
`java.lang.Object` `getCellEditorValue()`
`int` `getClickCountToStart()`
`java.awt.Component` `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)`
`java.awt.Component` `getTreeCellEditorComponent(javax.swing.JTree tree, java.lang.Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
`boolean` `isCellEditable(java.util.EventObject anEvent)`
`void` `removeCellEditorListener(javax.swing.event.CellEditorListener l)`
`void` `setCellEditorValue(java.lang.Object value)`
`void` `setClickCountToStart(int count)`
`boolean` `shouldSelectCell(java.util.EventObject anEvent)`
`boolean` `stopCellEditing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _listenerList

    protected javax.swing.event.EventListenerList _listenerList

### _value

    protected java.lang.Object _value

### _changeEvent

    protected javax.swing.event.ChangeEvent _changeEvent

### _clickCountToStart

    protected int _clickCountToStart

Constructor Detail

### CategoryAbstractCellEditor

    public CategoryAbstractCellEditor()

Method Detail

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`

### setCellEditorValue

    public void setCellEditorValue(java.lang.Object value)

### setClickCountToStart

    public void setClickCountToStart(int count)

### getClickCountToStart

    public int getClickCountToStart()

### isCellEditable

    public boolean isCellEditable(java.util.EventObject anEvent)

  Specified by:
    `isCellEditable` in interface `javax.swing.CellEditor`

### shouldSelectCell

    public boolean shouldSelectCell(java.util.EventObject anEvent)

  Specified by:
    `shouldSelectCell` in interface `javax.swing.CellEditor`

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `javax.swing.CellEditor`

### cancelCellEditing

    public void cancelCellEditing()

  Specified by:
    `cancelCellEditing` in interface `javax.swing.CellEditor`

### addCellEditorListener

    public void addCellEditorListener(javax.swing.event.CellEditorListener l)

  Specified by:
    `addCellEditorListener` in interface `javax.swing.CellEditor`

### removeCellEditorListener

    public void removeCellEditorListener(javax.swing.event.CellEditorListener l)

  Specified by:
    `removeCellEditorListener` in interface `javax.swing.CellEditor`

### getTreeCellEditorComponent

    public java.awt.Component getTreeCellEditorComponent(javax.swing.JTree tree,
                                                         java.lang.Object value,
                                                         boolean isSelected,
                                                         boolean expanded,
                                                         boolean leaf,
                                                         int row)

  Specified by:
    `getTreeCellEditorComponent` in interface `javax.swing.tree.TreeCellEditor`

### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`

### fireEditingStopped

    protected void fireEditingStopped()

### fireEditingCanceled

    protected void fireEditingCanceled()

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.